Time::WindowsLocation - Crystal 1.20.3

# class Time::WindowsLocation

- Time::WindowsLocation
- Time::Location
- Reference
- Object

##
Overview

A time location capable of computing recurring time zone transitions in the past or future using definitions from the Windows Registry.

These locations are returned by `Time::Location.load`.

##
Defined in:

time/tz.cr

##
Constructors

- .new(name : String, zones : Array(Zone), key_name : String, past_tz_args : Tuple(Int32, Int32, Time::TZ::MonthWeekDay, Time::TZ::MonthWeekDay), future_tz_args : Tuple(Int32, Int32, Time::TZ::MonthWeekDay, Time::TZ::MonthWeekDay) = past_tz_args, transitions = [] of ZoneTransition)

##
Instance Method Summary

- #==(other : self)

  Returns `true` if other is equal to `self`.

- #hash(hasher)

  Returns `true` if other is equal to `self`.

### Instance methods inherited from class `Time::Location`

==(other : self) ==, fixed? : Bool fixed?, hash(hasher) hash, inspect(io : IO) : Nil inspect, local? : Bool local?, lookup(time : Time) : Zone
lookup(unix_seconds : Int) : Zone lookup, name : String name, to_json(json : JSON::Builder) : Nil to_json, to_s(io : IO) : Nil to_s, to_yaml(yaml : YAML::Nodes::Builder) : Nil to_yaml, utc? : Bool utc?, zones : Array(Zone) zones

### Constructor methods inherited from class `Time::Location`

fixed(name : String, offset : Int32) : Location
fixed(offset : Int32) : self fixed, load(name : String) : Location load, load_local : Location load_local, local : Location local, new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
new(pull : JSON::PullParser) new

### Class methods inherited from class `Time::Location`

from_json_object_key?(key : String) : Time::Location from_json_object_key?, load?(name : String) : Location | Nil load?, local=(local : Location) local=, posix_tz(name : String, str : String) : TZLocation posix_tz

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, initialize initialize, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference) : Bool
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new, unsafe_construct(address : Pointer, *args, **opts) : self unsafe_construct

### Class methods inherited from class `Reference`

pre_initialize(address : Pointer) pre_initialize

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io : String | IO, root : String)
from_json(string_or_io : String | IO) from_json, from_yaml(string_or_io : String | IO) from_yaml

### Macros inherited from class `Object`

class_getter(*names, &block) class_getter, class_getter!(*names) class_getter!, class_getter?(*names, &block) class_getter?, class_property(*names, &block) class_property, class_property!(*names) class_property!, class_property?(*names, &block) class_property?, class_setter(*names) class_setter, def_clone def_clone, def_equals(*fields) def_equals, def_equals_and_hash(*fields) def_equals_and_hash, def_hash(*fields) def_hash, delegate(*methods, to object) delegate, forward_missing_to(delegate) forward_missing_to, getter(*names, &block) getter, getter!(*names) getter!, getter?(*names, &block) getter?, property(*names, &block) property, property!(*names) property!, property?(*names, &block) property?, setter(*names) setter

##
Constructor Detail

def self.new(name : String, zones : Array(Zone), key_name : String, past_tz_args : Tuple(Int32, Int32, Time::TZ::MonthWeekDay, Time::TZ::MonthWeekDay), future_tz_args : Tuple(Int32, Int32, Time::TZ::MonthWeekDay, Time::TZ::MonthWeekDay) = past_tz_args, transitions = [] of ZoneTransition) #

##
Instance Method Detail

def ==(other : self) #
Description copied from class Time::Location

Returns `true` if other is equal to `self`.

Two `Location` instances are considered equal if they have the same name, offset zones and transition rules.

def hash(hasher) #
Description copied from class Time::Location

Returns `true` if other is equal to `self`.

Two `Location` instances are considered equal if they have the same name, offset zones and transition rules.